ulams lessons
Generated from front/cli (ulams schema)
ulams lessons clone
Section titled “ulams lessons clone”Clone Lesson.
Kind: write. Stability: stable. MCP tool: lessons_clone. Scopes: courses:write.
Endpoints: POST /api/admin/lessons/{id}/clone.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | id of Lesson |
--body |
unknown | Request body (JSON) |
# Clone Lessonulams lessons clone 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Lesson" }, "body": { "description": "Request body (JSON)" } }, "required": [ "id" ], "additionalProperties": {}}ulams lessons create
Section titled “ulams lessons create”Store a newly created Lesson in storage.
Kind: write. Stability: stable. MCP tool: lessons_create. Scopes: courses:write.
Endpoints: POST /api/admin/lessons.
| Flag | Type | Required | Description |
|---|---|---|---|
--active-from |
string | active_from | |
--active-to |
string | active_to | |
--course-id |
integer | yes | course_id |
--duration |
string | duration | |
--id |
integer | id | |
--order |
integer | yes | order |
--parent-lesson-id |
integer | parent_lesson_id | |
--summary |
string | summary | |
--title |
string | yes | title |
# Store a newly created Lesson in storageulams lessons create --course-id text --order text --title Example --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "active_from": { "type": "string", "description": "active_from" }, "active_to": { "type": "string", "description": "active_to" }, "course_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "course_id" }, "duration": { "type": "string", "description": "duration" }, "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id" }, "order": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "order" }, "parent_lesson_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "parent_lesson_id" }, "summary": { "type": "string", "description": "summary" }, "title": { "type": "string", "description": "title" } }, "required": [ "course_id", "order", "title" ], "additionalProperties": {}}ulams lessons delete
Section titled “ulams lessons delete”Remove the specified Lesson from storage.
Kind: destructive (idempotent). Stability: stable. MCP tool: lessons_delete. Scopes: courses:write.
Endpoints: DELETE /api/admin/lessons/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | id of Lesson |
# Remove the specified Lesson from storageulams lessons delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Lesson" } }, "required": [ "id" ], "additionalProperties": {}}ulams lessons get
Section titled “ulams lessons get”Display the specified Lesson.
Kind: read (idempotent). Stability: stable. MCP tool: lessons_get. Scopes: courses:read.
Endpoints: GET /api/admin/lessons/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | id of Lesson |
# Display the specified Lessonulams lessons get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Lesson" } }, "required": [ "id" ], "additionalProperties": {}}ulams lessons list
Section titled “ulams lessons list”Get a listing of the Lessons.
Kind: read (idempotent). Stability: stable. MCP tool: lessons_list. Scopes: courses:read.
Endpoints: GET /api/admin/lessons.
# Get a listing of the Lessonsulams lessons list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": {}, "additionalProperties": {}}ulams lessons update
Section titled “ulams lessons update”Update the specified Lesson in storage.
Kind: write (idempotent). Stability: stable. MCP tool: lessons_update. Scopes: courses:write.
Endpoints: PUT /api/admin/lessons/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | id of Lesson |
--active-from |
string | active_from | |
--active-to |
string | active_to | |
--course-id |
integer | course_id | |
--duration |
string | duration | |
--order |
integer | order | |
--parent-lesson-id |
integer | parent_lesson_id | |
--summary |
string | summary | |
--title |
string | title |
# Update the specified Lesson in storageulams lessons update 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "id of Lesson" }, "active_from": { "type": "string", "description": "active_from" }, "active_to": { "type": "string", "description": "active_to" }, "course_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "course_id" }, "duration": { "type": "string", "description": "duration" }, "order": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "order" }, "parent_lesson_id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991, "description": "parent_lesson_id" }, "summary": { "type": "string", "description": "summary" }, "title": { "type": "string", "description": "title" } }, "required": [ "id" ], "additionalProperties": {}}